## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname  irc
%global projname %{modname}

%bcond_without tests
# Change the build backend in EPEL9 because `setuptools>=61.2`
# is needed for PEP621
%if 0%{?epel} == 9
%bcond_without hatch
%else
%bcond_with    hatch
%endif

Name:           python-%{projname}
Version:        20.5.0
Release:        %autorelease
Summary:        Full-featured Python IRC library for Python

License:        MIT
URL:            https://github.com/jaraco/%{projname}
Source0:        %{pypi_source %{projname}}

Patch1:         %{url}/pull/236.patch#/001-fix-for-py314.patch

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with hatch}
BuildRequires:  tomcli
%endif

%global _description %{expand:
This library provides a low-level implementation of the IRC protocol for
Python. It provides an event-driven IRC client framework. It has a fairly
thorough support for the basic IRC protocol, CTCP, and DCC connections.}

%description %_description

%package     -n python3-%{projname}
Summary:        %{summary}

%description -n python3-%{projname} %_description

%prep
%autosetup -p1 -n %{projname}-%{version}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -E -i '/\t"pytest-/d' pyproject.toml

%if %{with hatch}
tomcli set pyproject.toml lists str "build-system.requires" "hatchling" "hatch-vcs"
tomcli set pyproject.toml str "build-system.build-backend" "hatchling.build"
tomcli set pyproject.toml str "tool.hatch.version.source" "vcs"
tomcli set pyproject.toml lists str "tool.hatch.build.targets.wheel.packages" %{modname}
%endif

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%tox
%else
%pyproject_check_import -e irc.tests*
%endif

%files -n python3-%{projname} -f %{pyproject_files}
%license LICENSE
%doc README.rst NEWS.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 10 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 20.5.0-6
- Fix build with Python 3.14

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 20.5.0-5
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 22 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 20.5.0-3
- Fix for EPEL9 by building using hatch instead of setuptools

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 20.5.0-1
- Update to version 20.5.0 (fedora#2297869)

* Sat Jul 13 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 20.4.3-1
- Update to version 20.4.3

* Sat Jun 22 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 20.4.1-1
- Update to version 20.4.1 (fedora#2272057)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 20.3.1-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 25 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 20.3.1-1
- Update to version 20.3.1 (fedora#2255789)

* Mon Dec 25 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 20.3.0-2
- Use sed instead of a patch to disable linters

* Fri Sep 08 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 20.3.0-1
- Update to version 20.3.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 20.1.0-4
- Rebuilt for Python 3.12

* Wed Mar 15 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 20.1.0-3
- Adjust for EPEL9

* Tue Mar 14 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 20.1.0-2
- Add comment exaplaining the downstream patch

* Tue Mar 14 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 20.1.0-1
- Initial import (fedora#2164880)
## END: Generated by rpmautospec
